dim2gluingpermsearcher.h File Reference

Supports searching through all possible sets of triangle gluing permutations for a given triangle edge pairing. More...

`#include "regina-core.h"`
`#include "census/dim2gluingperms.h"`

## Classes

class | regina::Dim2GluingPermSearcher
| A utility class for searching through all possible gluing permutation sets that correspond to a given triangle edge pairing. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef void(* | regina::UseDim2GluingPerms) (const Dim2GluingPermSearcher *, void *)
| A routine used to do arbitrary processing upon a particular set of triangle gluing permutations. More...

## Detailed Description

Supports searching through all possible sets of triangle gluing permutations for a given triangle edge pairing.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).